package com.muyu.customer.business.domain.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 车辆录入对象 VehicleModel
 *
 * @author DeKangLiu
 * Date 2024/6/27 08:18
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class VehicleModel {

    /** 车辆id */
    private Long id;

    /** 车辆vin */
    private String vin;

    /** 品牌 */
    private String brand;

    /** 型号 */
    private String model;

    /** 生产日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date productionDate;

    /** 车身类型 */
    private String bodyType;

    /** 车身颜色 */
    private String color;

    /** 发动机排量 */
    private BigDecimal engineCapacity;

    /** 燃油类型 */
    private String fuelType;

    /** 变速器类型 */
    private String transmission;

    /** 驱动方式 */
    private String driveType;

    /** 行驶里程 */
    private BigDecimal mileage;

    /** 注册日期 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date registrationDate;

    /** 车牌号码 */
    private String licenseNumber;

    /** 持有者 */
    private String holder;

    /** 车辆类型 */
    private String vehicleType;

    /** 报文详情对象 */
    private List<Integer> messageDetail;
}
