package com.muyu.customer.business.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;


/**
 * 车辆指标预警配置对象 index_configuration
 *
 * @author muyu
 * @date 2024-06-28
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "IndexConfigurationSaveReq", description = "车辆指标预警配置")
public class IndexConfigurationSaveReq {

    private static final long serialVersionUID = 1L;

    /** 主键id */

    @ApiModelProperty(name = "主键id", value = "主键id")
    private Long id;

    /** 车辆vin */

    @ApiModelProperty(name = "车辆vin", value = "车辆vin")
    private String vin;

    /** 指标项key */

    @ApiModelProperty(name = "指标项key", value = "指标项key")
    private String keyCode;

    /** 滑窗范围(秒) */

    @ApiModelProperty(name = "滑窗范围(秒)", value = "滑窗范围(秒)")
    private Long intervalRange;

    /** 滑窗时机(秒) */

    @ApiModelProperty(name = "滑窗时机(秒)", value = "滑窗时机(秒)")
    private Long opportunity;

    /** 类型：1 上升 2 波动 3 下降 */

    @ApiModelProperty(name = "类型：1 上升 2 波动 3 下降", value = "类型：1 上升 2 波动 3 下降")
    private Long attributeType;

    /** 指标值 */

    @ApiModelProperty(name = "指标值", value = "指标值")
    private String attributeValue;

}
