package com.muyu.customer.business.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 报文详情对象 message_detail
 *
 * @author muyu
 * @date 2024-06-28
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "MessageDetailQueryReq", description = "报文详情")
public class MessageDetailQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 数据项key */
    @ApiModelProperty(name = "数据项key", value = "数据项key")
    private String keyCode;

    /** 起始位 */
    @ApiModelProperty(name = "起始位", value = "起始位")
    private String startBit;

    /** 结束位 */
    @ApiModelProperty(name = "结束位", value = "结束位")
    private String stopBit;

    /** 标签 */
    @ApiModelProperty(name = "标签", value = "标签")
    private String label;

    /** 类型 */
    @ApiModelProperty(name = "类型", value = "类型")
    private String type;

}
