package com.muyu.customer.business.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.customer.business.domain.FaultRecord;
import com.muyu.customer.business.domain.vo.FaultRecordVo;

/**
 * 故障记录Service接口
 *
 * @author muyu
 * @date 2024-06-20
 */
public interface FaultRecordService extends IService<FaultRecord> {
    /**
     * 查询故障记录列表
     *
     * @param faultRecord 故障记录
     * @return 故障记录集合
     */
    public List<FaultRecord> list(FaultRecord faultRecord);


    FaultRecord selectFault(FaultRecord build);

    void updateFault(FaultRecord faultRecordOne);

    List<FaultRecordVo> countList();
}
