package com.muyu.customer.business.service;

import java.util.List;

import com.muyu.common.core.domain.Result;
import com.muyu.customer.business.domain.MessageDetail;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.customer.business.domain.model.MessageDetailModel;

/**
 * 报文详情Service接口
 *
 * @author muyu
 * @date 2024-06-28
 */
public interface MessageDetailService extends IService<MessageDetail> {
    /**
     * 查询报文详情列表
     *
     * @param messageDetail 报文详情
     * @return 报文详情集合
     */
    public List<MessageDetail> list(MessageDetail messageDetail);

    List<MessageDetail> selectMessage(String vin);

    Result<String> add(MessageDetailModel messageDetailModel);

    Result<String> updateVehicle(MessageDetailModel messageDetailModel);
}
