package com.muyu.customer.business.service;

import java.util.List;

import com.muyu.common.core.domain.Result;
import com.muyu.customer.business.domain.MessageDetail;
import com.muyu.customer.business.domain.Vehicle;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.customer.business.domain.model.VehicleModel;

/**
 * 车辆录入Service接口
 *
 * @author muyu
 * @date 2024-05-27
 */
public interface VehicleService extends IService<Vehicle> {
    /**
     * 查询车辆录入列表
     *
     * @param vehicle 车辆录入
     * @return 车辆录入集合
     */
    List<Vehicle> list(Vehicle vehicle);

    List<MessageDetail> MessageList();


    String add(VehicleModel vehicleModel);

    VehicleModel selectById(Long id);

    List<MessageDetail> selectMessage(Long id);

    Result updateVehicle(Long id, VehicleModel vehicleModel);
}
