package com.muyu.customer.business.service.impl;

import java.util.List;


import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.muyu.common.core.utils.StringUtils;
import com.muyu.customer.business.domain.IndexConfiguration;
import com.muyu.customer.business.mapper.IndexConfigurationMapper;
import com.muyu.customer.business.service.IndexConfigurationService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 车辆指标预警配置Service业务层处理
 *
 * @author chx
 * @date 2024-06-28
 */
@Slf4j
@Service
public class IndexConfigurationServiceImpl extends ServiceImpl<IndexConfigurationMapper, IndexConfiguration> implements IndexConfigurationService {
    @Autowired
    private IndexConfigurationMapper indexConfigurationMapper;

    /**
     * 查询车辆指标预警配置列表
     *
     * @param indexConfiguration 车辆指标预警配置
     * @return 车辆指标预警配置
     */
    @Override
    public List<IndexConfiguration> list(IndexConfiguration indexConfiguration) {
        LambdaQueryWrapper<IndexConfiguration> queryWrapper = new LambdaQueryWrapper<>();
        if (StringUtils.isNotEmpty(indexConfiguration.getVin())){
            queryWrapper.eq(IndexConfiguration::getVin, indexConfiguration.getVin());
        }
        return list(queryWrapper);
    }

    @Override
    public List<IndexConfiguration> selectByVin(String vin) {
        return indexConfigurationMapper.selectByVin(vin);
    }
}
